require 'tamiyo/yaml/yaml_sink'
require 'tamiyo/gatherer_scrape'
require 'tamiyo/scrape_parser'

module Tamiyo
  class GathererScrapeChain
    def self.create(set)
      Process.chain GathererScrape.new(set),
                    ScrapeParser.new,
                    Yaml::YamlSink.new
    end
  end
end