require 'nokogiri'

module Tamiyo
  class DummyScrape
    def xml_spoiler_rows
      Nokogiri::HTML(<<TestXml).css 'tr'
<div class="textspoiler">
  <table>
    <!-- empty pt -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl00_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=369036">Advent of the Wurm</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl00_costRow">
      <td>Cost:</td>
      <td>1GGW</td></tr>
    <tr>
      <td>Type:</td>
      <td>Instant</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td></td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Put a 5/5 green Wurm creature token with trample onto the battlefield.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Dragon's Maze Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- ' non-empty pt -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl01_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=368961">Ætherling</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl01_costRow">
      <td>Cost:</td>
      <td>4UU</td></tr>
    <tr>
      <td>Type:</td>
      <td>Creature  — Shapeshifter</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(4/5)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>{U}: Exile Ætherling. Return it to the battlefield under its owner's control at the beginning of the next end step.<br />
{U}: Ætherling can't be blocked this turn.<br />
{1}: Ætherling gets +1/-1 until end of turn.<br />
{1}: Ætherling gets -1/+1 until end of turn.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Dragon's Maze Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- ' loyalty -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl109_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=369031">Ral Zarek</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl109_costRow">
      <td>Cost:</td>
      <td>2UR</td></tr>
    <tr>
      <td>Type:</td>
      <td>Planeswalker  — Ral</td></tr>
    <tr>
      <td>Loyalty:</td>
      <td>(4)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>+1: Tap target permanent, then untap another target permanent.<br />
-2: Ral Zarek deals 3 damage to target creature or player.<br />
-7: Flip five coins. Take an extra turn after this one for each coin that comes up heads.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Dragon's Maze Mythic Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- ' split card, left first -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl02_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=369041">Alive // Well (Alive)</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl02_costRow">
      <td>Cost:</td>
      <td>3G</td></tr>
    <tr>
      <td>Type:</td>
      <td>Sorcery</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td></td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Put a 3/3 green Centaur creature token onto the battlefield.<br />
Fuse (You may cast one or both halves of this card from your hand.)</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Dragon's Maze Uncommon</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- ' -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl165_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=369041">Alive // Well (Well)</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl165_costRow">
      <td>Cost:</td>
      <td>W</td></tr>
    <tr>
      <td>Type:</td>
      <td>Sorcery</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td></td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>You gain 2 life for each creature you control.<br />
Fuse (You may cast one or both halves of this card from your hand.)</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Dragon's Maze Uncommon</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- ' split card, right first -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl06_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=369042">Far // Away (Away)</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl06_costRow">
      <td>Cost:</td>
      <td>2B</td></tr>
    <tr>
      <td>Type:</td>
      <td>Instant</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td></td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Target player sacrifices a creature.<br />
Fuse (You may cast one or both halves of this card from your hand.)</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Dragon's Maze Uncommon</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- ' -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl46_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=369042">Far // Away (Far)</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl46_costRow">
      <td>Cost:</td>
      <td>1U</td></tr>
    <tr>
      <td>Type:</td>
      <td>Instant</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td></td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Return target creature to its owner's hand.<br />
Fuse (You may cast one or both halves of this card from your hand.)</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Dragon's Maze Uncommon</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- split card without fuse -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl18_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=107373">Bound // Determined (Bound)</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl18_costRow">
      <td>Cost:</td>
      <td>3BG</td></tr>
    <tr>
      <td>Type:</td>
      <td>Instant</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td></td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Sacrifice a creature. Return up to X cards from your graveyard to your hand, where X is the number of colors that creature was. Exile this card.<br /></td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Dissension Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl39_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=107373">Bound // Determined (Determined)</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl39_costRow">
      <td>Cost:</td>
      <td>GU</td></tr>
    <tr>
      <td>Type:</td>
      <td>Instant</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td></td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Other spells you control can't be countered by spells or abilities this turn.<br />
Draw a card.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Dissension Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- ' flip card, top first -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl02_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=78694">Akki Lavarunner</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl02_costRow">
      <td>Cost:</td>
      <td>3R</td></tr>
    <tr>
      <td>Type:</td>
      <td>Creature  — Goblin Warrior</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(1/1)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Haste<br />
Whenever Akki Lavarunner deals damage to an opponent, flip it.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Champions of Kamigawa Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl278_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=78694">Akki Lavarunner (Tok-Tok, Volcano Born)</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl278_costRow">
      <td>Cost:</td>
      <td>3R</td></tr>
    <tr>
      <td>Type:</td>
      <td>Legendary Creature — Goblin Shaman</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(2/2)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Protection from red<br />
If a red source would deal damage to a player, it deals that much damage plus 1 to that player instead.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Champions of Kamigawa Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- flip card, bottom first -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl07_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=78695">Kitsune Mystic (Autumn-Tail, Kitsune Sage)</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl07_costRow">
      <td>Cost:</td>
      <td>3W</td></tr>
    <tr>
      <td>Type:</td>
      <td>Legendary Creature — Fox Wizard</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(4/5)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>{1}: Attach target Aura attached to a creature to another creature.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Champions of Kamigawa Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl135_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=78695">Kitsune Mystic</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl135_costRow">
      <td>Cost:</td>
      <td>3W</td></tr>
    <tr>
      <td>Type:</td>
      <td>Creature  — Fox Wizard</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(2/3)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>At the beginning of the end step, if Kitsune Mystic is enchanted by two or more Auras, flip it.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Champions of Kamigawa Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- transform card, front side first-->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl36_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=221209">Civilized Scholar</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl36_costRow">
      <td>Cost:</td>
      <td>2U</td></tr>
    <tr>
      <td>Type:</td>
      <td>Creature  — Human Advisor</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(0/1)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>{T}: Draw a card, then discard a card. If a creature card is discarded this way, untap Civilized Scholar, then transform it.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Innistrad Uncommon</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl117_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=221185">Homicidal Brute</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl117_costRow">
      <td>Cost:</td>
      <td></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl117_colorIndicatorRow">
      <td>Color:</td>
      <td>Red</td></tr>
    <tr>
      <td>Type:</td>
      <td>Creature  — Human Mutant</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(5/1)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>At the beginning of your end step, if Homicidal Brute didn't attack this turn, tap Homicidal Brute, then transform it.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Innistrad Uncommon</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- ' transform card, back side first-->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl14_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=244687">Bane of Hanweir</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl14_costRow">
      <td>Cost:</td>
      <td></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl14_colorIndicatorRow">
      <td>Color:</td>
      <td>Red</td></tr>
    <tr>
      <td>Type:</td>
      <td>Creature  — Werewolf</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(5/5)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Bane of Hanweir attacks each turn if able.<br />
At the beginning of each upkeep, if a player cast two or more spells last turn, transform Bane of Hanweir.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Innistrad Uncommon</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl111_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=244683">Hanweir Watchkeep</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl111_costRow">
      <td>Cost:</td>
      <td>2R</td></tr>
    <tr>
      <td>Type:</td>
      <td>Creature  — Human Warrior Werewolf</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(1/5)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Defender<br />
At the beginning of each upkeep, if no spells were cast last turn, transform Hanweir Watchkeep.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Innistrad Uncommon</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <!-- transform card, transform text only on front -->
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl21_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=227061">Bloodline Keeper</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl21_costRow">
      <td>Cost:</td>
      <td>2BB</td></tr>
    <tr>
      <td>Type:</td>
      <td>Creature  — Vampire</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(3/3)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Flying<br />
{T}: Put a 2/2 black Vampire creature token with flying onto the battlefield.<br />
{B}: Transform Bloodline Keeper. Activate this ability only if you control five or more Vampires.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Innistrad Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
    <tr>
      <td>Name</td>
      <td><a id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl140_cardLink" class="nameLink" onclick="return CardLinkAction(event, this, 'SameWindow');" href="../Card/Details.aspx?multiverseid=227072">Lord of Lineage</a></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl140_costRow">
      <td>Cost:</td>
      <td></td></tr>
    <tr id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl00_cardEntries_ctl140_colorIndicatorRow">
      <td>Color:</td>
      <td>Black</td></tr>
    <tr>
      <td>Type:</td>
      <td>Creature  — Vampire</td></tr>
    <tr>
      <td>Pow/Tgh:</td>
      <td>(5/5)</td></tr>
    <tr>
      <td>Rules Text:</td>
      <td>Flying<br />
Other Vampire creatures you control get +2/+2.<br />
{T}: Put a 2/2 black Vampire creature token with flying onto the battlefield.</td></tr>
    <tr>
      <td>Set/Rarity:</td>
      <td>Innistrad Rare</td></tr>
    <tr>
      <td colspan="2"><br /></td></tr>
  </table>
</div>
TestXml
    end

    def xml_card_name_details(card_id)
      html = case card_id.to_i
      when 227061, 227072
        Nokogiri::HTML <<BloodlineKeeper
<td id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_cardComponent0" class="cardComponentContainer">
  <div id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl07_nameRow" class="row">
    <div class="value">Bloodline Keeper</div>
  </div>
</td>
<td id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_cardComponent1" class="cardComponentContainer">
  <div id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl08_nameRow" class="row">
    <div class="value">Lord of Lineage</div>
  </div>
</td>
BloodlineKeeper
      when 221209, 221185
        Nokogiri::HTML <<CivilizedScholar
<td id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_cardComponent0" class="cardComponentContainer">
  <div id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl07_nameRow" class="row">
    <div class="value">Civilized Scholar</div>
  </div>
</td>
<td id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_cardComponent1" class="cardComponentContainer">
  <div id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl08_nameRow" class="row">
    <div class="value">Homicidal Brute</div>
  </div>
</td>
CivilizedScholar
      when 244683, 244687
        Nokogiri::HTML <<HanweirWatchkeep
<td id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_cardComponent0" class="cardComponentContainer">
  <div id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl07_nameRow" class="row">
    <div class="value">Hanweir Watchkeep</div>
  </div>
</td>
<td id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_cardComponent1" class="cardComponentContainer">
  <div id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_ctl08_nameRow" class="row">
    <div class="value">Bane of Hanweir</div>
  </div>
</td>
HanweirWatchkeep
      else
        Nokogiri::HTML <<SingleSide
<td id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_cardComponent0" class="cardComponentContainer">
  <div id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_nameRow" class="row">
    <div class="value">Example Name</div>
  </div>
</td>
<td id="ctl00_ctl00_ctl00_MainContent_SubContent_SubContent_cardComponent1" class="cardComponentContainer"></td>
SingleSide
      end
      html.css('.cardComponentContainer').css('[id$="nameRow"]')
    end
  end
end